<template>
  <div id="app">
    <label for="name">輸入你想顯示的文字吧!</label>
    <input type="text" v-model="message" name="msg" />
    <h1 v-show="isWelcomed" v-bind:style="{ color: textColor }">
      {{ message }}
    </h1>
    <div>
      <span>想讓我變甚麼色</span><input type="text" v-model="textColor" />
    </div>
    <input type="text" v-model="imgSrc" />
    <button @click="alerts"></button>
  </div>
</template>

<script>
export default {
  data() {
    return {
      message: "Welcome to Vue!",
      textColor: "red",
      isWelcomed: true,
      username: "",
      password: "",
    };
  },
  methods: {
    alerts() {
      alert(`You`);
      console.log(this);
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
